Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JFormattedTextField.AbstractFormatterFactory

    java.lang.Object
      javax.swing.JFormattedTextField.AbstractFormatterFactory

Direct Known Subclasses:
  DefaultFormatterFactory

Enclosing class:
  JFormattedTextField

    public abstract static class JFormattedTextField.AbstractFormatterFactory

extends Object

Instances of `AbstractFormatterFactory` are used by `JFormattedTextField` to obtain instances of `AbstractFormatter` which in turn are used to format values. `AbstractFormatterFactory` can return different `AbstractFormatter`s based on the state of the `JFormattedTextField`, perhaps returning different `AbstractFormatter`s when the `JFormattedTextField` has focus vs when it doesn't have focus.

Constructor Summary
`JFormattedTextField.AbstractFormatterFactory()`

Method Summary
`abstract JFormattedTextField.AbstractFormatter` | `getFormatter(JFormattedTextField tf)` Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JFormattedTextField.AbstractFormatterFactory

    public JFormattedTextField.AbstractFormatterFactory()

Method Detail

### getFormatter

    public abstract JFormattedTextField.AbstractFormatter getFormatter(JFormattedTextField tf)

  Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.

  Parameters:
    `tf` - JFormattedTextField requesting AbstractFormatter
  Returns:
    AbstractFormatter to handle formatting duties, a null return value implies the JFormattedTextField should behave like a normal JTextField

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.